Skip to content

Fetches public information about a Microsoft Entra ID tenant.

GET
/entra/tenantinfo
curl --request GET \
--url 'https://api.tophhie.cloud/entra/tenantinfo?customDomainsOnly=false&skipEmailConfig=false'

Provide either a tenant ID (GUID) or a domain name registered within the tenant. Returns branding, federated domain, email configuration and SharePoint presence details.

tenantId

The Entra ID tenant GUID.

string

The Entra ID tenant GUID.

domainName

A domain name registered within the Entra ID tenant.

string

A domain name registered within the Entra ID tenant.

customDomainsOnly

When true, only custom (non-onmicrosoft.com) domains are analysed for email configuration.

boolean

When true, only custom (non-onmicrosoft.com) domains are analysed for email configuration.

skipEmailConfig

When true, MX record and email configuration lookups are skipped.

boolean

When true, MX record and email configuration lookups are skipped.

Tenant information retrieved successfully.

Media typeapplication/json
object
tenantId
required
string
federationBrandName
required
string | null
tenantDisplayName
required
string | null
defaultDomainName
required
string
bannerLogo
required
string | null
tenantRegion
required
string | null
desktopSsoEnabled
required
boolean
verifiedEmailSignUpDisallowed
required
boolean
tenantIsUnmanaged
required
boolean
tenantLeaveUrl
required
string format: uri
tenantUsesExo
required
boolean
mxRecords
required
Array<string>
emailConfiguration
required
Array<object>
object
domain
required
string
mxRecords
required
Array<string>
exoSmtpDaneDnsSecEnabled
required
boolean
tenantUsesSpo
required
boolean
spoDomains
required
Array<string>
verifiedDomains
required
integer
additionalDomains
required
Array<string>
Examplegenerated
{
"tenantId": "example",
"federationBrandName": "example",
"tenantDisplayName": "example",
"defaultDomainName": "example",
"bannerLogo": "example",
"tenantRegion": "example",
"desktopSsoEnabled": true,
"verifiedEmailSignUpDisallowed": true,
"tenantIsUnmanaged": true,
"tenantLeaveUrl": "https://example.com",
"tenantUsesExo": true,
"mxRecords": [
"example"
],
"emailConfiguration": [
{
"domain": "example",
"mxRecords": [
"example"
],
"exoSmtpDaneDnsSecEnabled": true
}
],
"tenantUsesSpo": true,
"spoDomains": [
"example"
],
"verifiedDomains": 1,
"additionalDomains": [
"example"
]
}

Bad request — provide exactly one of tenantId or domainName.

Media typeapplication/json
object
success
required
boolean
error
required
string
Example
{
"success": false
}

Tenant not found.

Media typeapplication/json
object
success
required
boolean
error
required
string
Example
{
"success": false
}

Internal server error.

Media typeapplication/json
object
success
required
boolean
error
required
string
Example
{
"success": false
}